package org.netbeans.lib.cvsclient;

import java.io.*;

import org.netbeans.lib.cvsclient.file.*;

/**
 * @author Thomas Singer
 */
public interface IConnectionStreams {

	Reader getLoggedReader();

	Writer getLoggedWriter();

	InputStream getInputStream();

	OutputStream getOutputStream();

	IReaderFactory getReaderFactory();

	IWriterFactory getWriterFactory();

	void flushForReading() throws IOException;

	void close();
}
